<?
define('PROTECTOR', 1);

$headmod = 'news';//фикс. места

$textl='Комментарии к новости';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$time = date("H:i d.m.y");
$msg=$_POST['msg'];
function smiles($string){
$dir = opendir ("pic/smiles"); 
while ($file = readdir ($dir)) {
if (ereg (".gif$", "$file")){
$file2=str_replace(".gif","",$file);
$string=str_replace(":$file2",'<img src="pic/smiles/'.$file.'" alt="">',$string);
}}
closedir ($dir);
return $string;  }
/////////////
$rand = rand(1000,9999);
switch($_GET[mod]){
default:
echo "<div class='event'>Комментарии</div>";
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '".intval($_GET['id'])."'"),0);
$q=mysql_query("SELECT * FROM `news_komm` WHERE `id_news` = '".intval($_GET['id'])."' ORDER BY `id` DESC LIMIT $num,10");
echo"<div class='event'></div>";
if ($k_post==0)
{
echo "Нет комментариев<br/>";
}
while ($post = mysql_fetch_assoc($q))
{
$nickas = strip_tags($post['id_user']);
$koment = strip_tags($post['msg']);
$time = strip_tags($post['time']);
$koment = smiles($koment);
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);


echo" <div class='event'><a href=\"search.php?nick=$nickas&amp;go=go\">$nickas</a> : $koment  <small><font color=#999999> [$time]</font></small>";
if($udata[prava]>=2)echo "[<a href='news_comm.php?mod=del_post&amp;id=$post[id]'>X</a>]\n";
echo'</div>';
}



if ($k_page>1)str("komm.php?id=".intval($_GET['id']).'&amp;',$k_page,$page); // Вывод страниц
echo "<form method=\"post\" name='message' action=\"news_comm.php?mod=add&id=".intval($_GET['id'])."\">";
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
if ($_GET[page] > 0)
{
echo "<a href=\"news_comm.php?page=$back&id=".intval($_GET['id'])."\">< Назад</a>";
}
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"news_comm.php?page=$next&id=".intval($_GET['id'])."\"> Далее ></a>";}


break;

case 'add':
if($udata[lvl]<"1"){
echo'Комментировать можно писать с 1 уровня!';
include($path.'files/down.php');
exit;
}
function strlen2($str)
{
$rus=array('й','ц','у','к','е','н','г','ш','щ','з','х','ъ','ф','ы','в','а','п','р','о','л','д','ж','э','я','ч','с','м','и','т','ь','б','ю','Й','Ц','У','К','Е','Н','Г','Ш','Щ','З','Х','Ъ','Ф','Ы','В','А','П','Р','О','Л','Д','Ж','Э','Я','Ч','С','М','И','Т','Ь','Б','Ю');
return strlen(str_replace($rus, '0', $str));
}
$msg=$_POST['msg'];
$time = date("H:i d.m.y");
if (strlen2($msg)>1024){echo "Сообщение слишком длинное";}
elseif (strlen2($msg)<2){echo "Короткое сообщение";}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '".intval($_GET['id'])."' AND `id_user` = '$log' AND `msg` = '$msg' LIMIT 1"),0)!=0){echo "Ваше сообщение повторяет предыдущее";}
elseif(!isset($err)){
mysql_query("INSERT INTO `news_komm` (`id_user`, `time`, `msg`, `id_news`) values('$log', '$time', '$msg', '".intval($_GET['id'])."')");
echo "Ваш комментарий успешно принят!<br/>";}
echo "<a href=\"news_comm.php?id=".intval($_GET['id'])."\">К комментариям</a>";


break;



case 'del_post':
if($udata[prava] >= 2)
{
if(empty($_GET[id])){
echo"Не выбран коментарий!<br/>";
}else{

$asd = mysql_query("SELECT * FROM news_komm WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
$avto=mysql_num_rows($asd);
if($avto==0){
echo'Нет такого коментария!<br/>';
}else{
mysql_query("DELETE FROM `news_komm` WHERE id='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
echo'Коментарий удалён!<br/>';
}
}
}else{
echo "Ошибка!Доступ закрыт!";
}

break;
}

echo "<br/><a href='news.php'>К новостям</a><br />\n";
include($path.'files/down.php');
?>